Subject: Re: bug#65536: 30.0.50; replace-regexp-in-string documentation does not mention it saves match data

From: Eli Zaretskii <[email-masked]>
Date: Sat, 26 Aug 2023 12:09:57 +0300

tags 65536 notabug wontfix
close 65536
thanks

> From: Stefan Kangas <[email-masked]>
> Date: Sat, 26 Aug 2023 10:40:18 +0200
> Cc: Jens Schmidt <[email-masked]>, [email-masked]
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > I think it's okay to leave things as they are.
> >
> > Stefan, WDYT?
> 
> We do not want to change replace-regexp-in-string's behavior.  This
> goes without saying IMO, and needs no documentation changes.
> 
> I also see nothing highly surprising or unusual about it saving match
> data.  Interested users can easily read the code to see if it does,
> just like Jens did.
> 
> So I also think it's fine not to change anything here, on balance.

Thanks, so I'm closing this bug.